/*
	BtAudio.cpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000 - 2003 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/



#include "BtAudio.hpp"

#include "bt848guid.h"
#include "custprop.h"

// ------------------------------------------------------------------------
// Property set for AudioProperties
// ------------------------------------------------------------------------

const KSPROPERTY_ITEM BtAudio::Properties[] = 
{
    DEFINE_KSPROPERTY_ITEM
    (
        KSPROPERTY_AUDIO_VOLUME,
        TRUE,                                   // GetSupported or Handler
        sizeof(KSPROPERTY_AUDIO_VOLUME_S),		// MinProperty
        sizeof(KSPROPERTY_AUDIO_VOLUME_S),		// MinData
        TRUE,                                   // SetSupported or Handler
        NULL,                                   // Values
        0,                                      // RelationsCount
        NULL,                                   // Relations
        NULL,                                   // SupportHandler
        0                                       // SerializedSize
    ),
	DEFINE_KSPROPERTY_ITEM
    (
        KSPROPERTY_AUDIO_BASSTREBLE,
        TRUE,                                   // GetSupported or Handler
        sizeof(KSPROPERTY_AUDIO_BASSTREBLE_S),	// MinProperty
        sizeof(KSPROPERTY_AUDIO_BASSTREBLE_S),	// MinData
        TRUE,                                   // SetSupported or Handler
        NULL,                                   // Values
        0,                                      // RelationsCount
        NULL,                                   // Relations
        NULL,                                   // SupportHandler
        0                                       // SerializedSize
    ),
	DEFINE_KSPROPERTY_ITEM
    (
        KSPROPERTY_AUDIO_LOUDNESS,
        TRUE,                                   // GetSupported or Handler
        sizeof(KSPROPERTY_AUDIO_LOUDNESS_S),	// MinProperty
        sizeof(KSPROPERTY_AUDIO_LOUDNESS_S),	// MinData
        TRUE,                                   // SetSupported or Handler
        NULL,                                   // Values
        0,                                      // RelationsCount
        NULL,                                   // Relations
        NULL,                                   // SupportHandler
        0                                       // SerializedSize
    ),
	DEFINE_KSPROPERTY_ITEM
    (
        KSPROPERTY_AUDIO_EQUALIZER,
        TRUE,                                   // GetSupported or Handler
        sizeof(KSPROPERTY_AUDIO_EQUALIZER_S),	// MinProperty
        sizeof(KSPROPERTY_AUDIO_EQUALIZER_S),	// MinData
        TRUE,                                   // SetSupported or Handler
        NULL,                                   // Values
        0,                                      // RelationsCount
        NULL,                                   // Relations
        NULL,                                   // SupportHandler
        0                                       // SerializedSize
    ),
	DEFINE_KSPROPERTY_ITEM
    (
        KSPROPERTY_AUDIO_DOLBY,
        TRUE,                                   // GetSupported or Handler
        sizeof(KSPROPERTY_AUDIO_DOLBY_S),		// MinProperty
        sizeof(KSPROPERTY_AUDIO_DOLBY_S),		// MinData
        TRUE,                                   // SetSupported or Handler
        NULL,                                   // Values
        0,                                      // RelationsCount
        NULL,                                   // Relations
        NULL,                                   // SupportHandler
        0                                       // SerializedSize
    ),
	DEFINE_KSPROPERTY_ITEM
    (
        KSPROPERTY_AUDIO_CAPS,
        TRUE,                                   // GetSupported or Handler
        sizeof(KSPROPERTY_AUDIO_CAPS_S),		// MinProperty
        sizeof(KSPROPERTY_AUDIO_CAPS_S),		// MinData
        FALSE,                                  // SetSupported or Handler
        NULL,                                   // Values
        0,                                      // RelationsCount
        NULL,                                   // Relations
        NULL,                                   // SupportHandler
        0                                       // SerializedSize
    )
};
