/*
	BtIR.cpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000 - 2003 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/


#include "BtIR.hpp"

#include "bt848guid.h"
#include "custprop.h"

// ------------------------------------------------------------------------
// Property set for AudioProperties
// ------------------------------------------------------------------------

const KSPROPERTY_ITEM BtIR::Properties[] = 
{
    DEFINE_KSPROPERTY_ITEM
    (
        KSPROPERTY_IR_GETCODE,
        TRUE,                                   // GetSupported or Handler
        sizeof(KSPROPERTY_IR_GETCODE_S),		// MinProperty
        sizeof(KSPROPERTY_IR_GETCODE_S),		// MinData
        FALSE,                                  // SetSupported or Handler
        NULL,                                   // Values
        0,                                      // RelationsCount
        NULL,                                   // Relations
        NULL,                                   // SupportHandler
        0                                       // SerializedSize
    ),
	DEFINE_KSPROPERTY_ITEM
    (
        KSPROPERTY_IR_CAPS,
        TRUE,                                   // GetSupported or Handler
        sizeof(KSPROPERTY_IR_CAPS_S),			// MinProperty
        sizeof(KSPROPERTY_IR_CAPS_S),			// MinData
        FALSE,                                  // SetSupported or Handler
        NULL,                                   // Values
        0,                                      // RelationsCount
        NULL,                                   // Relations
        NULL,                                   // SupportHandler
        0                                       // SerializedSize
    )
};
