/*
	BtVideoProcAmp.hpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000 - 2003 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef BTVIDEOPROCAMP_HPP_
#define BTVIDEOPROCAMP_HPP_

#include "Debug.hpp"
#include "WDMHeaders.hpp"

class BtVideoProcAmp {
	public:

		static KSPROPERTY_STEPPING_LONG GammaRangeAndStep[];
		static const ULONG GammaDefault;
		static KSPROPERTY_MEMBERSLIST GammaMembersList[];
		static KSPROPERTY_VALUES GammaValues;

		static KSPROPERTY_STEPPING_LONG SharpnessRangeAndStep[];
		static const ULONG SharpnessDefault;
		static KSPROPERTY_MEMBERSLIST SharpnessMembersList[];
		static KSPROPERTY_VALUES SharpnessValues;

		static KSPROPERTY_STEPPING_LONG WhiteBalanceRangeAndStep[];
		static const ULONG WhiteBalanceDefault;
		static KSPROPERTY_MEMBERSLIST WhiteBalanceMembersList[];
		static KSPROPERTY_VALUES WhiteBalanceValues;

		static KSPROPERTY_STEPPING_LONG BacklightCompensationRangeAndStep[];
		static const ULONG BacklightCompensationDefault;
		static KSPROPERTY_MEMBERSLIST BacklightCompensationMembersList[];
		static KSPROPERTY_VALUES BacklightCompensationValues;

		static KSPROPERTY_STEPPING_LONG ColorEnableRangeAndStep[];
		static const ULONG ColorEnableDefault;
		static KSPROPERTY_MEMBERSLIST ColorEnableMembersList[];
		static KSPROPERTY_VALUES ColorEnableValues;

		static KSPROPERTY_STEPPING_LONG BrightnessRangeAndStep[];
		static const ULONG BrightnessDefault;
		static KSPROPERTY_MEMBERSLIST BrightnessMembersList[];
		static KSPROPERTY_VALUES BrightnessValues;

		static KSPROPERTY_STEPPING_LONG ContrastRangeAndStep[];
		static const ULONG ContrastDefault;
		static KSPROPERTY_MEMBERSLIST ContrastMembersList[];
		static KSPROPERTY_VALUES ContrastValues;

		static KSPROPERTY_STEPPING_LONG HueRangeAndStep[];
		static const ULONG HueDefault;
		static KSPROPERTY_MEMBERSLIST HueMembersList[];
		static KSPROPERTY_VALUES HueValues;

		static KSPROPERTY_STEPPING_LONG SaturationRangeAndStep[];
		static const ULONG SaturationDefault;
		static KSPROPERTY_MEMBERSLIST SaturationMembersList[];
		static KSPROPERTY_VALUES SaturationValues;

		static const KSPROPERTY_ITEM Properties[];

};

#endif

