/*
	BtXBar.hpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000 - 2003 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/



#ifndef BTXBAR_H
#define BTXBAR_H

#include "Hardware\BtCard.hpp" // To get all definitions

// Class declaration
class BtXBar {

	public:

		typedef struct {

			KSPIN_DATAFLOW	Direction; 
			int				Conn;
			ULONG			PinType;              
			ULONG			RelatedPinIndex;      
			KSPIN_MEDIUM	Medium;        

		} PININFO, *PPININFO;

	protected:
	
		// Routing information
		ULONG ulOutputPinIsRoutedTo[ 2 ];
		ULONG ulInputPinEntries;
		ULONG ulOutputPinEntries;
		ULONG ulPinEntries;
		ULONG ulOutputPinVideo;			// The index of the Video output pin
		ULONG ulOutputPinAudio;			// The index of the Audio output pin
		ULONG ulFirstAudioInPinInput;	// The first audio in pin input

	public:

		static const KSPROPERTY_ITEM Properties[];

	protected:

		// We will use local vars to be sure we have per instance data
		PININFO			InputPinInfo[ 43 ];
		PININFO			OutputPinInfo[ 2 ];
		BOOL			PinDirection[ 45 ];
		KSPIN_MEDIUM	Mediums[ 45 ];

		BtXBar() {}

};

#endif	// BTXBAR_H


