/*
	EEprom.hpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000-2002 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef _EEPROM_H_
#define _EEPROM_H_

#include "CppRt.hpp"	// To get new and delete ops
#include "MyTypes.hpp"
#include "HwCapture\i2c.hpp"

class EEProm {
private:

	BYTE Dump[256];
	bool Ok;

public:

	EEProm (I2C& bus,BYTE bAddr);
	bool IsInitOK() {return Ok;}
	BYTE operator[] (int i) {return Dump[i];}

};

#endif