/*
	GPIOAudio.cpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000 - 2003 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#include "GPIOAudio.hpp"

void GPIOAudio::SetAudioMode(AudioMode audio) 
{
	ULONG con = GPDATA_Stereo;
	if (audio == Am_Lang1) { /*SAP*/
		con = GPDATA_SAP;
	} else
	if (audio == Am_Stereo) {
		con = GPDATA_Stereo;
	} else {
		con = GPDATA_Mono;
	}

	// Enable the required bits...
	gpio_.SetGPOE( gpio_.GetGPOE() | GPOE );

	ULONG Val;
	gpio_.GetGPDATA(&Val,1,0);
	Val &= ~GPOE;
	Val |= con & GPOE;
	gpio_.SetGPDATA(&Val,1,0);
}
