/*
	Hoontech.cpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000 - 2003 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#include "Hoontech.hpp"
#include "..\HwCapture\Pisces.hpp"

/* ---------------------------------------------------------------------- */

void Hoontech::Restart()
{
	// Set i2c Speed to ~50Khz because the PIC cannot handle more than this
	i2c.SetFreq(50000);
}

Hoontech::Hoontech(I2C& bus,const BYTE Addr) :
	i2c(bus) , i2caddr(Addr)
{
	Hoontech::Restart();
}

void Hoontech::SetAudioConnector(AudioConnector conn)
{
	// Set i2c Speed to ~50Khz because the PIC cannot handle more than this
	i2c.SetFreq(50000);
	switch(conn) {
		case AudioConTuner:
		case AudioConRadio:
		case AudioConLineIn:
			// unmute
			{
				for (int i = 0; i < 1; i++)
					i2c.Write(i2caddr,0x40);
			}

			break;
		case AudioConMute:
			// mute
			{
				for (int i = 0; i < 2; i++)
					i2c.Write(i2caddr,0x60);
			}
			break;
	}
}
