/*
	PT2254.hpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000 - 2003 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef _PT2254_HPP_
#define _PT2254_HPP_

#include "HwAudio.hpp"
#include "..\HwCapture\Pisces.hpp"


class PT2254 : public HwAudio {
	private:

		// GPIO Bus associated to the Audio Hardware
		GPIO& gpio_;

		// Pins
		int clk,data,strobe;

	public:
		PT2254(GPIO& bus,int clkbit,int databit,int strobebit);

		/* -32767 , 0 = 0Db, 32767 */
		virtual void SetVolume(const int Left,const int Right) ;

		virtual bool IsVolumeAvailable()	{ return true; }
};

#endif
