/*
	TDA9840.hpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000 - 2003 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef _TDA9840_HPP_
#define _TDA9840_HPP_

#include "HwAudio.hpp"

#define I2C_TDA9840        0x84

/*
 * TDA9840
 */

class I2C;
class TDA9840 : public HwAudio {

	private:

		AudioMode m_mode;
		bool	  m_muted;		// If card is muted right now...

		I2C& i2c;
		const BYTE i2caddr;

	public:

		TDA9840(I2C& bus,const BYTE Addr);
		virtual void SetAudioMode(AudioMode audio) ;
		virtual void SetAudioConnector(AudioConnector conn) ;

		// Audiomodes
		virtual AudioModes AudioModesAvailable() { return (Am_Mono | Am_Stereo | Am_Lang1 | Am_Lang2); }	
		virtual AudioModes AudioModesDetected();

		// To support Hibernate mode
		virtual void Restart( void );


};

#endif