/*
	TDA9855.hpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000 - 2003 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef _TDA9855_HPP_
#define _TDA9855_HPP_

#include "HwAudio.hpp"

#define I2C_TDA9855_1        0xb6
#define I2C_TDA9855_0        0xb4

class I2C;
class TDA9855 : public HwAudio {
	private:

		I2C& i2c;
		const BYTE i2caddr;

	public:

		TDA9855(I2C& bus,const BYTE Addr);

		virtual void SetAudioMode(AudioMode audio) ;

		virtual void SetVolume(const int Left,const int Right) /* 0 = Gain 1 */;
		virtual void SetBassTreble(const int Bass,const int Treble) ;

		virtual bool IsVolumeAvailable()	{ return true; }
		virtual bool IsBassTrebleAvailable(){ return true; }

		// Audiomodes
		virtual AudioModes AudioModesAvailable() { return (Am_Mono | Am_Stereo | Am_Lang1); }	
		virtual AudioModes AudioModesDetected();

		// To support Hibernate mode
		virtual void Restart( void );

};

#endif