/*
	TEA6300.hpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000 - 2003 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef _TEA6300_HPP_
#define _TEA6300_HPP_

#include "HwAudio.hpp"

/*
 * for the TEA6300 chip (only found on Gateway STB TV/FM cards to the best
 * of my knowledge)
 */

#define I2C_TEA6300        0x80

class I2C;
class TEA6300 : public HwAudio {

	private:

		I2C& i2c;
		const BYTE i2caddr;

	public:

		TEA6300(I2C& bus,const BYTE Addr) ;
		virtual void SetAudioConnector(AudioConnector conn) ;
		virtual void SetVolume(const int Left,const int Right) /* 0 = Gain 1 */ ;
		virtual void SetBassTreble(const int Bass,const int Treble) ;

		virtual bool IsVolumeAvailable()	{ return true; }
		virtual bool IsBassTrebleAvailable(){ return true; }

		// To support Hibernate mode
		virtual void Restart( void );

};

#endif