/*
	TEA6420.cpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000 - 2003 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

/* 
	STB card uses it:
		CH1 = TVAudio
		CH2 = ? (Radio?)
		CH3 = Audio In (SVideo and Composite)
		CH4 = ?
		CH5 = ?

 */
#include "TEA6420.hpp"
#include "..\HwCapture\Pisces.hpp"


#define TEA6420_S_SA       0x00  /* stereo A input */
#define TEA6420_S_SB       0x01  /* stereo B */
#define TEA6420_S_SC       0x02  /* stereo C */
#define TEA6420_S_SD       0x03  /* stereo D */
#define TEA6420_S_SE       0x04  /* stereo E */
#define TEA6420_S_GMU      0x05  /* general mute */


TEA6420::TEA6420(I2C& bus,const BYTE Addr) :
	i2c(bus) , i2caddr(Addr) 
{}

void TEA6420::SetAudioConnector(AudioConnector conn)
{
	switch(conn) {
		case AudioConTuner:
			i2c.Write(i2caddr,TEA6420_S_SA);
			break;
		case AudioConRadio:
			i2c.Write(i2caddr,TEA6420_S_SB);
			break;
		case AudioConLineIn:
			i2c.Write(i2caddr,TEA6420_S_SC);
			break;
		case AudioConMute:
			i2c.Write(i2caddr,TEA6420_S_GMU);
			break;
	}
}

// No read!