/*
	TEA6420.hpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000 - 2003 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef _TEA6420_HPP_
#define _TEA6420_HPP_

#include "HwAudio.hpp"

#define I2C_TEA6420_0			   0x98
#define I2C_TEA6420_1_NOTUSEDBYANY 0x9A /* this seems not to be used by any card */

/*
 * for the TEA6420 chip (only found on 3DFX (STB) TV/FM cards to the best
 * of my knowledge), also found on STB cards...
 */

class I2C;
class TEA6420 : public HwAudio {

	private:

		I2C& i2c;
		const BYTE i2caddr;

	public:

		TEA6420(I2C& bus,const BYTE Addr) ;
		virtual void SetAudioConnector(AudioConnector conn) ;

};

#endif