/*
	Tekram205.hpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000 - 2003 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef _Tekram205_HPP_
#define _Tekram205_HPP_

#include "HwAudio.hpp"

#define I2C_TEKRAM205        0xAA

class I2C;
class Tekram205 : public HwAudio {
	private:

		// I2C bus associated to the hardware
		I2C& i2c_;
		const BYTE i2caddr;

		// Internal vars
		BYTE shadow;

	public:

		Tekram205(I2C& i2cbus,const BYTE Addr);

		// Selection of Audio Connections
		virtual void SetAudioConnector(AudioConnector conn);

		// To support Hibernate mode
		virtual void Restart( void );

};

#endif
