/*
	HwIFDem.hpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000 - 2003 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

/* 
	Voodoo TV seems to use internal AFC
	Miro      seems to use External AFC (TDA9887)
 */

#ifndef _HWIFDEM_HPP_
#define _HWIFDEM_HPP_

#include "..\HwCapture\Pisces.hpp"
#include "..\HwTuner\HwTuner.hpp"

// The MT2032 always has an external IF demodulator associated to it
class HwIFDem {
	public:

		// Called before a tuning setting frequency...
		virtual void OnPreTunerSet(
			KS_AnalogVideoStandard	vf,			// VideoFormat of Signal (For TV mode)
			HwTuner::TunerMode		tm) {}		// Tuner Mode (TV/FM/AM)

		// Called after a tuner set ...
		virtual void OnPostTunerSet(void) {}

		// Called to know if an internal AFC will be used...
		virtual bool AFCProvider(void) { return false; }

		// Called to get AFC status...
		virtual int  GetAFC(void) { return 0; }

};


#endif