/*
	VoodooTV.hpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000 - 2003 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef _VoodooTV_HPP_
#define _VoodooTV_HPP_

// The Voodoo TV uses a TDA9800 as an IF-PLL demodulator.

#include "HwIFDem.hpp"

class GPIO;
class VoodooTV : public HwIFDem {

	private:
		GPIO& gpio;

	public:
		VoodooTV(GPIO& bus);

		// Called before a tuning setting frequency...
		virtual void OnPreTunerSet(
			KS_AnalogVideoStandard	vf,			// VideoFormat of Signal (For TV mode)
			HwTuner::TunerMode		tm);		// Tuner Mode (TV/FM/AM)

};

#endif