/*
	HAUPPAUGEIR.hpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000 - 2003 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef _HAUPPAUGEIR_HPP_
#define _HAUPPAUGEIR_HPP_

#include "PolledIR.hpp"

#define I2C_HAUPPAUGEIR_0	0x30 /* internal decoder */
#define I2C_HAUPPAUGEIR_1	0x34 /* external decoder */

class I2C;
class HauppaugeIR : public PolledIR {

	private:
		I2C& i2c;
		const BYTE address;

	public:
		HauppaugeIR(I2C& bus, const BYTE addr);
		virtual ~HauppaugeIR();

	protected: // Protected interfases that derived classes must implement

		virtual DWORD PeekCurrCode();
};

#endif