/*
	HwIR.hpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000 - 2003 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

/*
 * Class that represents the Hardware associated to the TVAudio (and more)
 */

#ifndef _HWIR_HPP_
#define _HWIR_HPP_

// To get all the required things!
#include "Debug.hpp"
#include "CppRt.hpp"
#include "MyTypes.hpp"
#include "Queue.hpp"

#include "..\Enums.hpp"

class HwIR {

	public:

		// Types of IR chip controls
		typedef enum {
			IRC_NONE = 0,
			IRC_GPIO
		} IRChip;

	protected:

		typedef Queue<DWORD,8> IRQueue; // Our queue of codes (256 codes)

		IRQueue					 Codes;				// IR codes received

	public:

		// constructors and destructors... Need to be declared here as we want the 'virtual' keyword for destructor
		HwIR() {}
		virtual ~HwIR() {}

		// To get the IR code received
		virtual DWORD GetCode();

		// To support Hibernate mode
		virtual void Restart( void ) {}
		virtual void Suspend( void ) {}

};

#endif