/*
	KNC1IR.hpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000 - 2003 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef _KNC1IR_HPP_
#define _KNC1IR_HPP_

#define I2C_KNC1IR_0	0x60

#include "PolledIR.hpp"

class I2C;
class KNC1IR : public PolledIR {

	private:
		I2C& i2c;
		const BYTE address;
		BYTE klast;		// Last received key

	public:
		KNC1IR(I2C& bus, const BYTE addr);
		virtual ~KNC1IR();

	protected: // Protected interfases that derived classes must implement

		virtual DWORD PeekCurrCode();

};

#endif