/*
	TEKRAMIR.cpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000 - 2003 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/


#include "TEKRAMIR.hpp"
#include "..\HwCapture\Pisces.hpp"

/*
	Read Regs:
		reg 0x01
			remote control code... Read twice to get the code (seems as a 16 bit register)
*/
	

TEKRAMIR::TEKRAMIR(I2C& bus, const BYTE addr) :
	i2c(bus) , address(addr)
{
	// Start polling
	StartPolling();
}

TEKRAMIR::~TEKRAMIR()
{
	// Finish polling
	EndPolling();
}

// To get the IR code received
DWORD TEKRAMIR::PeekCurrCode()
{
	// We have to read 2 Byte from addr 1!
	BYTE in[2];
	BYTE out[1];

	// Poll the I2C IR receiver
	out[0] = 0x01;
	i2c.WR(address,out,1,in,2);

	// look what we have 
	DUMP(("key (0x%02x,0x%02x)\n", in[0],in[1]));

	DWORD code = (0x10000 | (in[0]) | (in[1] << 8) );

	return code;
}
