/*
	RSBT.hpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000 - 2003 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef _RSBT_HPP_
#define _RSBT_HPP_

#include "HwVideo.hpp"

class GPIO;
class RSBT : public HwVideo {

	private:
		GPIO& gpio;

	public:
		RSBT(GPIO& bus);

		// Information (1 composite,1 svideo,4 digital)
		virtual int	SVideoCount( void ) const;
		virtual int	CompositeCount( void ) const;
		virtual int	SerialDigitalCount( void ) const;

		// To Select the video Source
		virtual condesc_t SetConnector(VideoConnector conn);

		// To support Hibernate mode
		virtual void Restart( void );

};

#endif