/*
	SILK200.cpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000 - 2003 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

/* I would like to know the chip number used for the Switch... This was taken from Dscaler without mods... */

#include "SILK200.hpp"
#include "..\HwCapture\Pisces.hpp"


SILK200::SILK200(I2C& bus, const BYTE Addr) :
	i2c(bus) , i2caddr(Addr)
{
}

int SILK200::SerialDigitalCount( void ) const
{
	return 3;
}

condesc_t SILK200::SetConnector(VideoConnector conn)
{

	// -(stolen from Dscaler)----------------------------------------------------------------------
	// SDI Silk SDI Input Switch
	// (stolen from Dscaler) 21 May 2002 Dan Schmelzer
	// 
	// Slave addres (SLV) = 0xB0 for the Silk 200; write only
	// Input enable (IEN) = from 0 to x
	//
	// You can never have too many inputs!

	BYTE in = 0;
	switch (conn) {
		default:
			return -1; // Unknown
		case VideoConSDI0:
			in = 0;
			break;
		case VideoConSDI1:
			in = 1;
			break;
		case VideoConSDI2:
			in = 2;
			break;
	}
	// Just select the input! (just too easy...!)
	i2c.Write(i2caddr,in);
	i2c.Write(i2caddr,in);
	i2c.Write(i2caddr,in); // 3 times, just in case...
	return CONDESC(2,0,1); // Digital
}

