/*
	TDA8540.hpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000 - 2003 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef _TDA8450_HPP_
#define _TDA8450_HPP_

#include "HwVideo.hpp"

#define I2C_TDA8540_0    0x90
#define I2C_TDA8540_1    0x92
#define I2C_TDA8540_2    0x94
#define I2C_TDA8540_3    0x96
#define I2C_TDA8540_4    0x98
#define I2C_TDA8540_5    0x9A
#define I2C_TDA8540_6    0x9C

class I2C;
class TDA8540 : public HwVideo {

	private:
		I2C& i2c;
		const BYTE i2caddr;
		const bool svj;		// SVideo Jumper.

	public:
		TDA8540(I2C& bus, const BYTE Addr,const bool Svideo_jumper);

		// Information
		virtual int	SVideoCount( void ) const;
		virtual int	CompositeCount( void ) const;

		// To support Hibernate mode
		virtual void Restart( void );

		// To Select the video Source
		virtual condesc_t SetConnector(VideoConnector conn);

};

#endif