/*
	TRUST814PCI.hpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	This file was written by Eduardo Jos Tagle based on information supplied by ap@datcon.co.uk <ap@datcon.co.uk>.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef _TRUST814PCI_HPP_
#define _TRUST814PCI_HPP_

#include "HwVideo.hpp"

class GPIO;
class CTRUST814PCI : public HwVideo {

	private:
		GPIO& gpio;

	public:
		CTRUST814PCI(GPIO& g);

		// Information
		virtual int	CompositeCount( void ) const;

		// To Select the video Source
		virtual condesc_t SetConnector(VideoConnector conn);

};

#endif
