/*
	PCI_IO.hpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000-2002 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

// Functions to access PCI Bus

#ifndef PCI_IO_H_
#define PCI_IO_H_

// Auxiliary class PCI_IO
#include "Debug.hpp"
#include "CppRt.hpp"
#include "MyTypes.hpp"
#include "WinHalEmu.hpp"

class PCI_IO {

	private:

		ULONG Bus;
		ULONG Device;
		ULONG Function;

	public:

		// Default constructor
		PCI_IO();

		// To find a Device
		bool FindDevice(ULONG VendorID,ULONG DeviceID);

		// Config Space access
		bool ReadConfigDWORD(ULONG Reg,DWORD& Val) { return pci_ReadConfigDWORD(Bus,Device,Function,Reg ,&Val); }
		bool WriteConfigDWORD(ULONG Reg,DWORD Val) { return pci_WriteConfigDWORD(Bus,Device,Function,Reg ,Val); }
		bool ReadConfigWORD(ULONG Reg,WORD& Val) { return pci_ReadConfigWORD(Bus,Device,Function,Reg ,&Val); }
		bool WriteConfigWORD(ULONG Reg,WORD Val) { return pci_WriteConfigWORD(Bus,Device,Function,Reg ,Val); }
		bool ReadConfigBYTE(ULONG Reg,BYTE& Val) { return pci_ReadConfigBYTE(Bus,Device,Function,Reg ,&Val); }
		bool WriteConfigBYTE(ULONG Reg,BYTE Val) { return pci_WriteConfigBYTE(Bus,Device,Function,Reg ,Val); }

};

#endif
