/*
	DPC.hpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000 - 2003 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef DPC_H_
#define DPC_H_

#include "WDMHeaders.hpp"

/* Delayed procedure call: This one queues the DPC
   and calls it at APC_LEVEL level */

class DPC {

	private:
		KDPC Dpc;

	public:

		DPC(PKDEFERRED_ROUTINE DeferredRoutine,IN PVOID  DeferredContext) 
		{
			KeInitializeDpc(&Dpc,PKDEFERRED_ROUTINE(DeferredRoutine),DeferredContext);
		}

		/* this must be called at IRQL >= DISPATCH_LEVEL */
		bool Post(PVOID Arg0 = NULL, PVOID Arg1 = NULL) { return bool(KeInsertQueueDpc(&Dpc,Arg0,Arg1) == TRUE); }
		bool Unpost() { return bool(KeRemoveQueueDpc(&Dpc)==TRUE); }
};

#endif
