/*
	PCI.hpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000 - 2003 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef PCI_H_
#define PCI_H_

#include "WDMHeaders.hpp"

class PCI {

	private:
		PDEVICE_OBJECT      pDeviceObject;

	private:

		BOOL ReadWriteConfig(BOOL  bRead,PVOID pBuf,ULONG ulOffset,ULONG ulLen);
		static NTSTATUS SynchCompletionRoutine( IN PDEVICE_OBJECT DeviceObject, IN PIRP Irp, IN PVOID Event) ;

	public:

		PCI(PDEVICE_OBJECT pDeviceObject_) : pDeviceObject(pDeviceObject_) {}

		//---------------------------------------------------------------------------
		// Member functions
		//---------------------------------------------------------------------------

		// Following functions are provided to interact with PCI directly
		BOOL ReadConfigDWORD( DWORD reg, DWORD& retDWORD );
		BOOL WriteConfigDWORD( DWORD reg, DWORD writeDWORD );

		// Vendor and Device ID Register (0x00)
		WORD GetVendorID( void );
		WORD GetDeviceID( void );

};
#endif


