/*
	WinHalEmu.hpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000 - 2003 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/


#ifndef _WINHALEMU_HPP_
#define _WINHALEMU_HPP_

#include "Debug.hpp"
#include <WDMHeaders.hpp>

// Functions to access PCI Bus under Windows (Horrible hack!)

bool pci_ReadConfigBYTE(ULONG bus, ULONG device, ULONG func, ULONG reg, BYTE* value);
bool pci_ReadConfigWORD(ULONG bus, ULONG device, ULONG func, ULONG reg, WORD* value);
bool pci_ReadConfigDWORD(ULONG bus, ULONG device, ULONG func, ULONG reg, DWORD* value);
bool pci_WriteConfigBYTE(ULONG bus, ULONG device, ULONG func, ULONG reg, BYTE value);
bool pci_WriteConfigWORD(ULONG bus, ULONG device, ULONG func, ULONG reg, WORD value);
bool pci_WriteConfigDWORD(ULONG bus, ULONG device, ULONG func, ULONG reg, DWORD value);

// Some usefull defines
#define MAX_PCI_BUSES		255
#define MAX_PCI_FUNCTIONS	7
#define MAX_PCI_DEVICES		32

#endif