/*
	BtGuids.h: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000 - 2003 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef  BTGUIDS_H_
#define  BTGUIDS_H_

#include "guiddef.h"

/* Tuner: Tuner Video Out , XBar: Tuner Video In*/
#define M_GUID0 0xd1f4decf, 0x220f, 0x4821, 0x92, 0xed, 0x37, 0x8e, 0x56, 0x7d, 0xdf, 0xa5

/* Tuner: Tuner Audio Out , TVAudio: Tuner Audio In*/
#define M_GUID1 0xec85f9fc, 0x8df7, 0x410c, 0x8e, 0x0, 0xf7, 0xdb, 0x32, 0x33, 0x30, 0x72

/* TVAudio: TVAudio Audio Out , XBar: TVAudio Audio In*/
#define M_GUID2 0xf0c572b9, 0x973e, 0x4ada, 0x9d, 0x9d, 0x45, 0x8, 0x7, 0x15, 0xaa, 0x6d

/* XBar: Video out, Decoder: Analog Video in */
#define M_GUID3 0x174dacfe, 0x14c3, 0x44a8, 0xb4, 0x26, 0xd6, 0x19, 0x80, 0xa7, 0x96, 0x34

/* XBar: Line Audio In */
#define M_GUID4 0x578dd6da, 0x9a98, 0x4ed1, 0x87, 0xae, 0x8e, 0xc0, 0xa5, 0x5, 0xc5, 0x72

// From now on, you can modify, if you need it!
#define GUID_INDEX 5
#define GUID_COUNT 36

// 36 GUIDs to create crossbar topology
#define M_GUID5 0x18ea4e8a, 0xf6e7, 0x4283, 0x82, 0xfe, 0xcf, 0x4f, 0xba, 0x7c, 0x44, 0x94
#define M_GUID6 0x3f0f49cc, 0x6b7d, 0x457d, 0xb9, 0x68, 0x18, 0xad, 0xf6, 0x3f, 0x51, 0x42
#define M_GUID7 0x5c22a1fc, 0x5eb1, 0x40a9, 0xa6, 0xc8, 0x6b, 0x8, 0xa7, 0xc5, 0x2b, 0xdf
#define M_GUID8 0xbf6d4d9c, 0x182e, 0x48af, 0xaa, 0x58, 0x29, 0xc4, 0x58, 0xd5, 0x1b, 0xc3
#define M_GUID9 0x5a19813c, 0x9104, 0x4a42, 0x8d, 0x10, 0xee, 0x6a, 0xdd, 0x44, 0x8a, 0xe0
#define M_GUIDA 0x67a16d1f, 0x7f92, 0x4a12, 0xa0, 0xd4, 0x76, 0xb2, 0x14, 0xd8, 0x45, 0x45
#define M_GUIDB 0xb2402bb5, 0xc2b2, 0x4298, 0x91, 0x83, 0x5b, 0xc6, 0x35, 0xdf, 0x70, 0xba
#define M_GUIDC 0x4f5c3f5f, 0x6976, 0x4d58, 0xbb, 0xe, 0x6a, 0x7e, 0xc1, 0xf1, 0x50, 0x35
#define M_GUIDD 0x76128df5, 0x1ec3, 0x42c8, 0x91, 0x33, 0x23, 0x3b, 0xcb, 0xe3, 0xa8, 0x7b
#define M_GUIDE 0x327344a0, 0xda46, 0x4ee9, 0x8f, 0xcc, 0x83, 0x40, 0x1, 0xd9, 0xe7, 0x3b
#define M_GUIDF 0xc87a4323, 0x4d2a, 0x4283, 0x86, 0x5e, 0xa2, 0x6e, 0xc5, 0xc0, 0x42, 0xa1
#define M_GUID10 0x3ebe3263, 0x31ee, 0x4127, 0xa0, 0x5c, 0x34, 0x53, 0xf7, 0x2f, 0xfd, 0x5c
#define M_GUID11 0x5f359583, 0x2cde, 0x4bcf, 0x9b, 0x18, 0x91, 0x76, 0xe2, 0xf0, 0x8a, 0xb7
#define M_GUID12 0x34d23fb4, 0x2f5d, 0x4231, 0x9a, 0x6a, 0x65, 0xa7, 0xde, 0x58, 0xef, 0x1c
#define M_GUID13 0x1cea1e6f, 0x9cee, 0x42d3, 0x9a, 0x8e, 0xd4, 0xa2, 0x7a, 0x31, 0x4f, 0x8c
#define M_GUID14 0x78915408, 0xc055, 0x4099, 0xad, 0x60, 0xf3, 0xee, 0xba, 0x41, 0x1f, 0xd8
#define M_GUID15 0xa19dc0f5, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb
#define M_GUID16 0xa19dc0f6, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb
#define M_GUID17 0xa19dc0f7, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb
#define M_GUID18 0xa19dc0f8, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb
#define M_GUID19 0xa19dc0f9, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb
#define M_GUID1A 0xa19dc0fa, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb
#define M_GUID1B 0xa19dc0fb, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb
#define M_GUID1C 0xa19dc0fc, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb
#define M_GUID1D 0xa19dc0fd, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb
#define M_GUID1E 0xa19dc0fe, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb
#define M_GUID1F 0xa19dc0ff, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb
#define M_GUID20 0xa19dc100, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb
#define M_GUID21 0xa19dc101, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb
#define M_GUID22 0xa19dc102, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb
#define M_GUID23 0xa19dc103, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb
#define M_GUID24 0xa19dc104, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb
#define M_GUID25 0xa19dc105, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb
#define M_GUID26 0xa19dc106, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb
#define M_GUID27 0xa19dc107, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb
#define M_GUID28 0xa19dc108, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb
#define M_GUID29 0xa19dc109, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb

/* Now we define an array of GUIDs (very useful) */
#define GUID_ENTRY(name, l, w1, w2, b1, b2, b3, b4, b5, b6, b7, b8 ) \
	{ l, w1, w2, { b1, b2,  b3,  b4,  b5,  b6,  b7,  b8 } }
	
const GUID /*__declspec(selectany)*/ STATIC_GUID[] = {
GUID_ENTRY( STATIC_GUID0  , 0xd1f4decf, 0x220f, 0x4821, 0x92, 0xed, 0x37, 0x8e, 0x56, 0x7d, 0xdf, 0xa5 ),
GUID_ENTRY( STATIC_GUID1  , 0xec85f9fc, 0x8df7, 0x410c, 0x8e, 0x0, 0xf7, 0xdb, 0x32, 0x33, 0x30, 0x72 ),
GUID_ENTRY( STATIC_GUID2  , 0xf0c572b9, 0x973e, 0x4ada, 0x9d, 0x9d, 0x45, 0x8, 0x7, 0x15, 0xaa, 0x6d ),
GUID_ENTRY( STATIC_GUID3  , 0x174dacfe, 0x14c3, 0x44a8, 0xb4, 0x26, 0xd6, 0x19, 0x80, 0xa7, 0x96, 0x34 ),
GUID_ENTRY( STATIC_GUID4  , 0x578dd6da, 0x9a98, 0x4ed1, 0x87, 0xae, 0x8e, 0xc0, 0xa5, 0x5, 0xc5, 0x72 ),
GUID_ENTRY( STATIC_GUID5  , 0x18ea4e8a, 0xf6e7, 0x4283, 0x82, 0xfe, 0xcf, 0x4f, 0xba, 0x7c, 0x44, 0x94 ),
GUID_ENTRY( STATIC_GUID6  , 0x3f0f49cc, 0x6b7d, 0x457d, 0xb9, 0x68, 0x18, 0xad, 0xf6, 0x3f, 0x51, 0x42 ),
GUID_ENTRY( STATIC_GUID7  , 0x5c22a1fc, 0x5eb1, 0x40a9, 0xa6, 0xc8, 0x6b, 0x8, 0xa7, 0xc5, 0x2b, 0xdf ),
GUID_ENTRY( STATIC_GUID8  , 0xbf6d4d9c, 0x182e, 0x48af, 0xaa, 0x58, 0x29, 0xc4, 0x58, 0xd5, 0x1b, 0xc3 ),
GUID_ENTRY( STATIC_GUID9  , 0x5a19813c, 0x9104, 0x4a42, 0x8d, 0x10, 0xee, 0x6a, 0xdd, 0x44, 0x8a, 0xe0 ), 
GUID_ENTRY( STATIC_GUIDA  , 0x67a16d1f, 0x7f92, 0x4a12, 0xa0, 0xd4, 0x76, 0xb2, 0x14, 0xd8, 0x45, 0x45 ),
GUID_ENTRY( STATIC_GUIDB  , 0xb2402bb5, 0xc2b2, 0x4298, 0x91, 0x83, 0x5b, 0xc6, 0x35, 0xdf, 0x70, 0xba ),
GUID_ENTRY( STATIC_GUIDC  , 0x4f5c3f5f, 0x6976, 0x4d58, 0xbb, 0xe, 0x6a, 0x7e, 0xc1, 0xf1, 0x50, 0x35 ),
GUID_ENTRY( STATIC_GUIDD  , 0x76128df5, 0x1ec3, 0x42c8, 0x91, 0x33, 0x23, 0x3b, 0xcb, 0xe3, 0xa8, 0x7b ),
GUID_ENTRY( STATIC_GUIDE  , 0x327344a0, 0xda46, 0x4ee9, 0x8f, 0xcc, 0x83, 0x40, 0x1, 0xd9, 0xe7, 0x3b ),
GUID_ENTRY( STATIC_GUIDF  , 0xc87a4323, 0x4d2a, 0x4283, 0x86, 0x5e, 0xa2, 0x6e, 0xc5, 0xc0, 0x42, 0xa1 ),
GUID_ENTRY( STATIC_GUID10 , 0x3ebe3263, 0x31ee, 0x4127, 0xa0, 0x5c, 0x34, 0x53, 0xf7, 0x2f, 0xfd, 0x5c ),
GUID_ENTRY( STATIC_GUID11 , 0x5f359583, 0x2cde, 0x4bcf, 0x9b, 0x18, 0x91, 0x76, 0xe2, 0xf0, 0x8a, 0xb7 ),
GUID_ENTRY( STATIC_GUID12 , 0x34d23fb4, 0x2f5d, 0x4231, 0x9a, 0x6a, 0x65, 0xa7, 0xde, 0x58, 0xef, 0x1c ),
GUID_ENTRY( STATIC_GUID13 , 0x1cea1e6f, 0x9cee, 0x42d3, 0x9a, 0x8e, 0xd4, 0xa2, 0x7a, 0x31, 0x4f, 0x8c ),
GUID_ENTRY( STATIC_GUID14 , 0x78915408, 0xc055, 0x4099, 0xad, 0x60, 0xf3, 0xee, 0xba, 0x41, 0x1f, 0xd8 ),
GUID_ENTRY( STATIC_GUID15 , 0xa19dc0f5, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb ),
GUID_ENTRY( STATIC_GUID16 , 0xa19dc0f6, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb ),
GUID_ENTRY( STATIC_GUID17 , 0xa19dc0f7, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb ),
GUID_ENTRY( STATIC_GUID18 , 0xa19dc0f8, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb ),
GUID_ENTRY( STATIC_GUID19 , 0xa19dc0f9, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb ),
GUID_ENTRY( STATIC_GUID1A , 0xa19dc0fa, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb ),
GUID_ENTRY( STATIC_GUID1B , 0xa19dc0fb, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb ),
GUID_ENTRY( STATIC_GUID1C , 0xa19dc0fc, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb ),
GUID_ENTRY( STATIC_GUID1D , 0xa19dc0fd, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb ),
GUID_ENTRY( STATIC_GUID1E , 0xa19dc0fe, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb ),
GUID_ENTRY( STATIC_GUID1F , 0xa19dc0ff, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb ),
GUID_ENTRY( STATIC_GUID20 , 0xa19dc100, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb ),
GUID_ENTRY( STATIC_GUID21 , 0xa19dc101, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb ),
GUID_ENTRY( STATIC_GUID22 , 0xa19dc102, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb ),
GUID_ENTRY( STATIC_GUID23 , 0xa19dc103, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb ),
GUID_ENTRY( STATIC_GUID24 , 0xa19dc104, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb ),
GUID_ENTRY( STATIC_GUID25 , 0xa19dc105, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb ),
GUID_ENTRY( STATIC_GUID26 , 0xa19dc106, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb ),
GUID_ENTRY( STATIC_GUID27 , 0xa19dc107, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb ),
GUID_ENTRY( STATIC_GUID28 , 0xa19dc108, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb ),
GUID_ENTRY( STATIC_GUID29 , 0xa19dc109, 0x3b39, 0x11d1, 0x90, 0x5f, 0x0, 0x0, 0xc0, 0xcc, 0x16, 0xbb )
	};

#endif