/*
	MyVStds.hpp: Part of the WDM Video Capture Driver for Bt848 based video capture cards
	Copyright (C) 2000 - 2003 by Eduardo Jos Tagle.
 
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef _MYVSTDS_HPP
#define _MYVSTDS_HPP

#ifndef KS_AnalogVideo_PAL_NC

// Pal Combination IS Supported by DirectShow, but missing from 
// WDM Headers . Fix it!

#define KS_AnalogVideo_PAL_NC 0x00100000

#endif

// Ntsc50 is unsupported, we use NTSC433 to create it!
#ifndef KS_AnalogVideo_NTSC_50
#define KS_AnalogVideo_NTSC_50 KS_AnalogVideo_NTSC_433
#endif


/*
Norm:		Audio Carrier	Video Bandwidth

SECAM_DKK1L	6.5MHz			6.0Mhz
PAL_D		6.5MHz			6.0MHz 

PAL_I		6.0Mhz			5.5MHz

PAL_BGH		5.5Mhz			5.0MHz
PAL_N		5.5MHz			5.0MHz
SECAM_BGH	5.5MHz			5.0MHz

NTSC_M		4.5Mhz			4.2MHz
PAL_M		4.5Mhz			4.2MHz
PAL_NC		4.5Mhz			4.2MHz

 */

#define TN_CCIR_DKL \
	KS_AnalogVideo_PAL_D | \
	KS_AnalogVideo_SECAM_D | \
	KS_AnalogVideo_SECAM_K | \
	KS_AnalogVideo_SECAM_K1 | \
	KS_AnalogVideo_SECAM_L

#define TN_CCIR_I \
	KS_AnalogVideo_PAL_I 

#define TN_CCIR_BGHN \
	KS_AnalogVideo_PAL_B | \
	KS_AnalogVideo_PAL_G | \
	KS_AnalogVideo_PAL_H | \
	KS_AnalogVideo_PAL_N | \
	KS_AnalogVideo_PAL_60 | \
	KS_AnalogVideo_SECAM_B | \
	KS_AnalogVideo_SECAM_G | \
	KS_AnalogVideo_SECAM_H

#define TN_CCIR_MC \
	KS_AnalogVideo_NTSC_M | \
	KS_AnalogVideo_NTSC_M_J | \
	KS_AnalogVideo_PAL_M | \
	KS_AnalogVideo_PAL_NC | \
	KS_AnalogVideo_NTSC_50 

#endif

